<template>
  <div>
     <st-register v-model="dialog" @refreshData="refreshData" :data="fields" :key="componentKey"></st-register>
    <div class="content-body">
      <div class="table-heading" v-if="edit">
        <st-subtitle text="Datos de la tutoría" />
        <st-edit-btn @click="open" />
      </div>

      <v-row no-gutters>
        <v-col>
          <v-row>
            <v-col md="3">
              <v-label>Nombre:</v-label>
            </v-col>
            <v-col md="6">
              <v-label>{{tutorshipName}}</v-label>
            </v-col>
          </v-row>

          <v-row>
            <v-col md="3">
              <v-label>Descripción:</v-label>
            </v-col>
            <v-col md="6">
              <v-label>{{tutorshipDescription}}</v-label>
            </v-col>
          </v-row>

          <v-row>
            <v-col md="3">
              <v-label>Número de sesiones:</v-label>
            </v-col>
            <v-col md="6">
              <v-label>{{tutorshipSessionsNumber}}</v-label>
            </v-col>
          </v-row>

          <v-row>
            <v-col md="3">
              <v-label>Tipo de tutoría:</v-label>
            </v-col>
            <v-col md="6">
              <v-chip v-if="tutorshipType1" color="#E4E4E4" text-color="black">Tutor fijo</v-chip>
              <v-chip v-if="!tutorshipType1" color="#E4E4E4" text-color="black">Tutor variable</v-chip>
              <v-chip v-if="tutorshipType2" color="#E4E4E4" text-color="black">Tutor asignado</v-chip>
              <v-chip v-if="!tutorshipType2" color="#E4E4E4" text-color="black">Tutor solicitado</v-chip>
              <v-chip v-if="tutorshipType3" color="#E4E4E4" text-color="black">Individual</v-chip>
              <v-chip v-if="!tutorshipType3" color="#E4E4E4" text-color="black">Grupal</v-chip>
              <v-chip v-if="tutorshipType4" color="#E4E4E4" text-color="black">Obligatorio</v-chip>
              <v-chip v-if="!tutorshipType4" color="#E4E4E4" text-color="black">Opcional</v-chip>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
import Register from '@/components/tutorship/Update';
export default {
  props: {
    edit: {
      type: Boolean,
      default: true
    },
    tutorshipName: String,
    tutorshipDescription: String,
    tutorshipSessionsNumber: [String, Number],
    tutorshipType1: {
       type: Boolean,
      default: true
    },
    tutorshipType2: {
       type: Boolean,
      default: true
    },
    tutorshipType3: {
       type: Boolean,
      default: true
    },
    tutorshipType4: {
       type: Boolean,
      default: true
    },
  },
  data() {
    return {
      dialog : false,   
      componentKey: 0,
      fields:{
        descripcion: { label:'Descripcion', value: '...Cargando' },
        nombre: { label:'Nombre', value: '...Cargando' },
        cantSesiones: { label:'Cantidad de sesiones', value: '...Cargando' , id:''},
        tutorFijo:{value:false},
        tutorAsignado:{value:false},
        individual:{value:false},
        obligatorio:{value:false},
      },
    };
  },
  methods: {
    open() {
      this.dialog = true
      this.fields.nombre.value = this.tutorshipName
      this.fields.descripcion.value = this.tutorshipDescription
      this.fields.cantSesiones.value = this.tutorshipSessionsNumber
      this.fields.tutorFijo.value = this.tutorshipType1
      this.fields.tutorAsignado.value = this.tutorshipType2
      this.fields.individual.value = this.tutorshipType3
      this.fields.obligatorio.value = this.tutorshipType4
      this.componentKey += 1;
    },
    refreshData(response) {
      this.dialog=false;
      this.$emit("refreshData");
    },
  },
  components: {
    'st-register': Register
  },
  mounted(){
  }

};
</script>

<style scoped>
.font-regular {
  margin-left: auto;
  margin-right: auto;
  font-size: 12px;
  text-transform: uppercase;
  text-align: center;
}
</style>
